<?php

namespace AureroIpom;

/**
 * Class which returns the class map definition
 * @package
 */
class ClassMap
{
    /**
     * Returns the mapping between the WSDL Structs and generated Structs' classes
     * This array is sent to the \SoapClient when calling the WS
     * @return string[]
     */
    final public static function get()
    {
        return array(
            'BladMT' => '\\AureroIpom\\StructType\\BladMT',
            'WynikMT' => '\\AureroIpom\\StructType\\WynikMT',
            'IdentyfikatorUslugobiorcyOIDMT' => '\\AureroIpom\\StructType\\IdentyfikatorUslugobiorcyOIDMT',
            'IdentyfikatorAutoraOIDMT' => '\\AureroIpom\\StructType\\IdentyfikatorAutoraOIDMT',
            'IdentyfikatorPodmiotuOIDMT' => '\\AureroIpom\\StructType\\IdentyfikatorPodmiotuOIDMT',
            'IdentyfikatorOIDMT' => '\\AureroIpom\\StructType\\IdentyfikatorOIDMT',
            'WynikWeryfikacjiZbioruRegulMT' => '\\AureroIpom\\StructType\\WynikWeryfikacjiZbioruRegulMT',
            'WynikWeryfikacjiRegulyMT' => '\\AureroIpom\\StructType\\WynikWeryfikacjiRegulyMT',
            'WlasciwosciWyszukiwaniaMT' => '\\AureroIpom\\StructType\\WlasciwosciWyszukiwaniaMT',
            'AttributedDateTime' => '\\AureroIpom\\StructType\\AttributedDateTime',
            'AttributedURI' => '\\AureroIpom\\StructType\\AttributedURI',
            'TimestampType' => '\\AureroIpom\\StructType\\TimestampType',
            'KontekstMT' => '\\AureroIpom\\StructType\\KontekstMT',
            'AtrybutMT' => '\\AureroIpom\\StructType\\AtrybutMT',
            'WynikiWyszukiwaniaPlanowOpiekiMedycznejMT' => '\\AureroIpom\\StructType\\WynikiWyszukiwaniaPlanowOpiekiMedycznejMT',
            'WynikWyszukiwaniaPlanowOpiekiMedycznejMT' => '\\AureroIpom\\StructType\\WynikWyszukiwaniaPlanowOpiekiMedycznejMT',
            'WynikiPobraniaListyWersjiHistorycznychPlanowOpiekiMedycznejMT' => '\\AureroIpom\\StructType\\WynikiPobraniaListyWersjiHistorycznychPlanowOpiekiMedycznejMT',
            'WynikPobraniaListyWersjiHistorycznychPlanuOpiekiMedycznejMT' => '\\AureroIpom\\StructType\\WynikPobraniaListyWersjiHistorycznychPlanuOpiekiMedycznejMT',
            'WynikiPobraniaListyWersjiHistorycznychHarmonogramuPlanuOpiekiMedycznejMT' => '\\AureroIpom\\StructType\\WynikiPobraniaListyWersjiHistorycznychHarmonogramuPlanuOpiekiMedycznejMT',
            'WynikPobraniaListyWersjiHistorycznychHarmonogramuPlanuOpiekiMedycznejMT' => '\\AureroIpom\\StructType\\WynikPobraniaListyWersjiHistorycznychHarmonogramuPlanuOpiekiMedycznejMT',
            'WlasciwosciWynikuWyszukiwaniaMT' => '\\AureroIpom\\StructType\\WlasciwosciWynikuWyszukiwaniaMT',
            'ZapisPlanuOpiekiMedycznejRequest' => '\\AureroIpom\\StructType\\ZapisPlanuOpiekiMedycznejRequest',
            'ZapisPlanuOpiekiMedycznejResponse' => '\\AureroIpom\\StructType\\ZapisPlanuOpiekiMedycznejResponse',
            'ZapisHarmonogramuPlanuOpiekiMedycznejRequest' => '\\AureroIpom\\StructType\\ZapisHarmonogramuPlanuOpiekiMedycznejRequest',
            'ZapisHarmonogramuPlanuOpiekiMedycznejResponse' => '\\AureroIpom\\StructType\\ZapisHarmonogramuPlanuOpiekiMedycznejResponse',
            'OdczytPlanuOpiekiMedycznejRequest' => '\\AureroIpom\\StructType\\OdczytPlanuOpiekiMedycznejRequest',
            'OdczytPlanuOpiekiMedycznejResponse' => '\\AureroIpom\\StructType\\OdczytPlanuOpiekiMedycznejResponse',
            'OdczytAktualnegoHarmonogramuPlanuOpiekiMedycznejRequest' => '\\AureroIpom\\StructType\\OdczytAktualnegoHarmonogramuPlanuOpiekiMedycznejRequest',
            'OdczytAktualnegoHarmonogramuPlanuOpiekiMedycznejResponse' => '\\AureroIpom\\StructType\\OdczytAktualnegoHarmonogramuPlanuOpiekiMedycznejResponse',
            'WyszukaniePlanowOpiekiMedycznejWystawcyRequest' => '\\AureroIpom\\StructType\\WyszukaniePlanowOpiekiMedycznejWystawcyRequest',
            'WyszukaniePlanowOpiekiMedycznejUslugobiorcyRequest' => '\\AureroIpom\\StructType\\WyszukaniePlanowOpiekiMedycznejUslugobiorcyRequest',
            'WyszukaniePlanowOpiekiMedycznejResponse' => '\\AureroIpom\\StructType\\WyszukaniePlanowOpiekiMedycznejResponse',
            'ZapisAnulowaniaPlanuOpiekiMedycznejRequest' => '\\AureroIpom\\StructType\\ZapisAnulowaniaPlanuOpiekiMedycznejRequest',
            'ZapisAnulowaniaPlanuOpiekiMedycznejResponse' => '\\AureroIpom\\StructType\\ZapisAnulowaniaPlanuOpiekiMedycznejResponse',
            'ZapisAnulowaniaHarmonogramuPlanuOpiekiMedycznejRequest' => '\\AureroIpom\\StructType\\ZapisAnulowaniaHarmonogramuPlanuOpiekiMedycznejRequest',
            'ZapisAnulowaniaHarmonogramuPlanuOpiekiMedycznejResponse' => '\\AureroIpom\\StructType\\ZapisAnulowaniaHarmonogramuPlanuOpiekiMedycznejResponse',
            'PobranieListyWersjiHistorycznychPlanuOpiekiMedycznejRequest' => '\\AureroIpom\\StructType\\PobranieListyWersjiHistorycznychPlanuOpiekiMedycznejRequest',
            'PobranieListyWersjiHistorycznychPlanuOpiekiMedycznejResponse' => '\\AureroIpom\\StructType\\PobranieListyWersjiHistorycznychPlanuOpiekiMedycznejResponse',
            'OdczytWersjiHistorycznejPlanuOpiekiMedycznejRequest' => '\\AureroIpom\\StructType\\OdczytWersjiHistorycznejPlanuOpiekiMedycznejRequest',
            'OdczytWersjiHistorycznejPlanuOpiekiMedycznejResponse' => '\\AureroIpom\\StructType\\OdczytWersjiHistorycznejPlanuOpiekiMedycznejResponse',
            'PobranieListyWersjiHistorycznychHarmonogramuPlanuOpiekiMedycznejRequest' => '\\AureroIpom\\StructType\\PobranieListyWersjiHistorycznychHarmonogramuPlanuOpiekiMedycznejRequest',
            'PobranieListyWersjiHistorycznychHarmonogramuPlanuOpiekiMedycznejResponse' => '\\AureroIpom\\StructType\\PobranieListyWersjiHistorycznychHarmonogramuPlanuOpiekiMedycznejResponse',
            'OdczytWersjiHistorycznejHarmonogramuPlanuOpiekiMedycznejRequest' => '\\AureroIpom\\StructType\\OdczytWersjiHistorycznejHarmonogramuPlanuOpiekiMedycznejRequest',
            'OdczytWersjiHistorycznejHarmonogramuPlanuOpiekiMedycznejResponse' => '\\AureroIpom\\StructType\\OdczytWersjiHistorycznejHarmonogramuPlanuOpiekiMedycznejResponse',
            'bledyOperacji' => '\\AureroIpom\\StructType\\BledyOperacji',
        );
    }
}
