<?php

namespace AureroIpom\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for OdczytAktualnegoHarmonogramuPlanuOpiekiMedycznejResponse
 * StructType
 * Meta information extracted from the WSDL
 * - type: ns:OdczytAktualnegoHarmonogramuPlanuOpiekiMedycznejResponse
 * @subpackage Structs
 */
class OdczytAktualnegoHarmonogramuPlanuOpiekiMedycznejResponse extends AbstractStructBase
{
    /**
     * The wynik
     * Meta information extracted from the WSDL
     * - documentation: Wynik operacji odczytu dokumentu harmonogramu indywidualnego planu opieki medycznej.
     * @var \AureroIpom\StructType\WynikMT
     */
    public $wynik;
    /**
     * The trescDokumentu
     * Meta information extracted from the WSDL
     * - documentation: Treść dokumentu harmonogramu indywidualnego planu opieki medycznej.
     * - minOccurs: 0
     * @var string
     */
    public $trescDokumentu;
    /**
     * The identyfikatorAktualnegoIPOM
     * Meta information extracted from the WSDL
     * - documentation: Identyfikator aktualnej wersji dokumentu indywidualnego planu opieki medycznej, do którego odnosi się harmonogram. Jest zwracany tylko w przypadku, gdy harmonogram odnosi się do innej niż aktualna wersji dokumentu indywidualnego
     * planu opieki medycznej
     * - minOccurs: 0
     * @var \AureroIpom\StructType\IdentyfikatorOIDMT
     */
    public $identyfikatorAktualnegoIPOM;
    /**
     * Constructor method for OdczytAktualnegoHarmonogramuPlanuOpiekiMedycznejResponse
     * @uses OdczytAktualnegoHarmonogramuPlanuOpiekiMedycznejResponse::setWynik()
     * @uses OdczytAktualnegoHarmonogramuPlanuOpiekiMedycznejResponse::setTrescDokumentu()
     * @uses OdczytAktualnegoHarmonogramuPlanuOpiekiMedycznejResponse::setIdentyfikatorAktualnegoIPOM()
     * @param \AureroIpom\StructType\WynikMT $wynik
     * @param string $trescDokumentu
     * @param \AureroIpom\StructType\IdentyfikatorOIDMT $identyfikatorAktualnegoIPOM
     */
    public function __construct(\AureroIpom\StructType\WynikMT $wynik = null, $trescDokumentu = null, \AureroIpom\StructType\IdentyfikatorOIDMT $identyfikatorAktualnegoIPOM = null)
    {
        $this
            ->setWynik($wynik)
            ->setTrescDokumentu($trescDokumentu)
            ->setIdentyfikatorAktualnegoIPOM($identyfikatorAktualnegoIPOM);
    }
    /**
     * Get wynik value
     * @return \AureroIpom\StructType\WynikMT|null
     */
    public function getWynik()
    {
        return $this->wynik;
    }
    /**
     * Set wynik value
     * @param \AureroIpom\StructType\WynikMT $wynik
     * @return \AureroIpom\StructType\OdczytAktualnegoHarmonogramuPlanuOpiekiMedycznejResponse
     */
    public function setWynik(\AureroIpom\StructType\WynikMT $wynik = null)
    {
        $this->wynik = $wynik;
        return $this;
    }
    /**
     * Get trescDokumentu value
     * @return string|null
     */
    public function getTrescDokumentu()
    {
        return $this->trescDokumentu;
    }
    /**
     * Set trescDokumentu value
     * @param string $trescDokumentu
     * @return \AureroIpom\StructType\OdczytAktualnegoHarmonogramuPlanuOpiekiMedycznejResponse
     */
    public function setTrescDokumentu($trescDokumentu = null)
    {
        // validation for constraint: string
        if (!is_null($trescDokumentu) && !is_string($trescDokumentu)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($trescDokumentu, true), gettype($trescDokumentu)), __LINE__);
        }
        $this->trescDokumentu = $trescDokumentu;
        return $this;
    }
    /**
     * Get identyfikatorAktualnegoIPOM value
     * @return \AureroIpom\StructType\IdentyfikatorOIDMT|null
     */
    public function getIdentyfikatorAktualnegoIPOM()
    {
        return $this->identyfikatorAktualnegoIPOM;
    }
    /**
     * Set identyfikatorAktualnegoIPOM value
     * @param \AureroIpom\StructType\IdentyfikatorOIDMT $identyfikatorAktualnegoIPOM
     * @return \AureroIpom\StructType\OdczytAktualnegoHarmonogramuPlanuOpiekiMedycznejResponse
     */
    public function setIdentyfikatorAktualnegoIPOM(\AureroIpom\StructType\IdentyfikatorOIDMT $identyfikatorAktualnegoIPOM = null)
    {
        $this->identyfikatorAktualnegoIPOM = $identyfikatorAktualnegoIPOM;
        return $this;
    }
}
